%define name 	mhwaveedit
%define version 1.4.14
%define release %mkrel 1
%define	Summary	WAV Editing Package

Summary:	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPLv2+
Group: 		Sound
URL: 		https://gna.org/projects/mhwaveedit/
Source0: 	http://download.gna.org/mhwaveedit/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	pkgconfig gtk+2-devel SDL-devel libsndfile-devel libalsa-devel
BuildRequires:	jackit-devel libsamplerate-devel ladspa-devel
BuildRequires:  arts-devel

%description
mhWaveEdit is a graphical program for editing sound files. It is completely 
free (GPL) and it's written by Magnus Hjorth. It is intended to be 
user-friendly and robust. 

OGG and LAME support are available if installed.

%prep
%setup -q

%build
%configure2_5x --without-portaudio
%make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/*



%changelog
* Thu Nov 22 2007 Funda Wang <fundawang@mandriva.org> 1.4.14-1mdv2008.1
+ Revision: 111174
- New version 1.4.14

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 1.4.13-1mdv2008.1
+ Revision: 100390
- update to new version 1.4.13

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not harcode icon extension

* Sun Jun 10 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4.12-3mdv2008.0
+ Revision: 37843
- d'oh, forgot to remove debian menu from file list
- drop debian menu

* Sat Jun 09 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4.12-2mdv2008.0
+ Revision: 37722
- fix %%{Summary} macro (fixes #26921)

* Sat May 26 2007 Austin Acton <austin@mandriva.org> 1.4.12-1mdv2008.0
+ Revision: 31552
- new version


* Thu Jan 04 2007 Lenny Cartier <lenny@mandriva.com> 1.4.11-1mdv2007.0
+ Revision: 104093
- Update to 1.4.11
- Import mhwaveedit

